Bug 139165 - RHEL4B2: PATCH edd_devices array too short
RHEL4B2: PATCH edd_devices array too short
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 09:28 EST by Matt Domsch
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 22:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
edd.c.patch (925 bytes, patch)
2004-11-13 09:30 EST, Matt Domsch
no flags Details | Diff

  None (edit)
Description Matt Domsch 2004-11-13 09:28:56 EST
Description of problem:

edd_devices[] was too short.  When we keep more
than 6 signatures, it overruns the end.  Also, I rewrote
edd_num_devices to be clearer about its goal.
                                                                     
                                                        
submitted to lkml today.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.648_EL
Comment 1 Matt Domsch 2004-11-13 09:30:19 EST
Created attachment 106638 [details]
edd.c.patch
Comment 2 Matt Domsch 2004-12-02 22:36:50 EST
Fixed in 2.6.9-1.849_EL, thanks.  Closing.

Note You need to log in before you can comment on or make changes to this bug.